/* Online image - alte phpBB-Grafiken deaktiviert */
/*.online { background-image: url("./applications-internet.gif"); }*/
/*.online { background-image: url("./icon_user_online.gif"); }*/
/*.online { background-image: url("./online-tf-style2.png"); }*/
/*.offline { background-image: url("./offline-tf-style2.png"); }*/

/* Avatar Online/Offline LED */
.avatar-container {
	position: relative;
}

.status-icon {
	position: absolute;
	top: 4px;
	right: 4px;
	width: 10px;
	height: 10px;
	border-radius: 50%;
	z-index: 20;
	pointer-events: none;
	box-shadow: 0 0 4px rgba(0, 0, 0, 0.6);
}

/*.status-icon.online {
	background: radial-gradient(circle at 30% 30%, #00ff88, #008f3a);
	box-shadow: 0 0 6px #00ff88;
}*/
.status-icon.online {
	background: #ddffdd;
	border: 2px solid #6b6; /* optional dunkler Rand */
	box-shadow: 0 0 6px #aaa;
	animation: pulse 0.7s infinite;
}


@keyframes pulse {
	0% { box-shadow: 0 0 4px #009900; }
	50% { box-shadow: 0 0 10px #009900; }
	100% { box-shadow: 0 0 4px #009900; }
}

/*.status-icon.offline {
	background: radial-gradient(circle at 30% 30%, #ff4d4d, #990000);
	box-shadow: 0 0 6px #ff0000;
}*/

.status-icon.offline {
	background: transparent;
	border: 2px solid #faa;
	box-shadow: 0 0 4px rgba(255, 0, 0, 0.6);
	animation: pulse 2.5s infinite;
}
@keyframes pulse {
	0% { box-shadow: 0 0 4px #00ff00; }
	50% { box-shadow: 0 0 10px #00ff00; }
	100% { box-shadow: 0 0 4px #00ff00; }
}